List your webhooks
curl --request GET \
--url https://app.tikk.chat/api/v1/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tikk.chat/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.tikk.chat/api/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tikk.chat/api/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1830219341,
"url": "https://yourapp.com/tikk/webhooks",
"events": [
"booking.requested"
],
"status": "active",
"disabled_reason": "manual",
"consecutive_failures": 0,
"signing_secret_source": "subscription",
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"signing_secret": "tikk_whsec_4f8Kd02LmQx7Rz1VbN6cT9yHs3Ue5Wa"
}
]
}Webhooks
List your webhooks
Returns the webhooks this credential set up, oldest first. Webhooks created by another API key or another app aren’t listed.
Scope: webhooks.read · Plan: Pro
GET
/
webhooks
List your webhooks
